/* components */
.card-glass {
  background-color: #FAFAFA;
  border: 1px solid #EEEEEE;
  box-shadow: 2px 4px 6px 0px #33363C14 inset;
  color: var(--black);
}

.card-dark-grey {
  background-color: #333333;
  color: var(--white);

  svg {
    stroke: var(--white);
  };
}

.card-light-grey {
  background-color: #F6F6F6;
  color: var(--black);

  svg {
    stroke: var(--black);
  }
}

.card-border {
  border: 1px solid;
}

.card-border--black {
  background: var(--white);
  border-color: var(--black);
  color: var(--black);

  svg {
    stroke: var(--black);
  }
}

.card-border--white {
  border-color: var(--white);
  color: var(--white);

  svg {
    stroke: var(--white);
  }
}

.card-link:hover {
  .card-link__text {
    background-size: 0 2px, 100% 2px;
  }
}

.card-link__text {
  display: inline;
  background: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), linear-gradient(to right, rgb(0, 0, 0), rgb(0, 0, 0), rgb(0, 0, 0));
  background-size: 100% 2px, 0 2px;
  background-position: 100% 100%, 0 100%;
  background-repeat: no-repeat;
  transition: background-size .4s;
}

.marquee {
  overflow: hidden;
}

.marquee__track {
  display: flex;
  width: max-content;
  will-change: transform;
  animation-play-state: running;
  animation: marquee 20s linear infinite;
}

.marquee__item {
  flex-shrink: 0;
}

@keyframes marquee {
  0% {
    transform: translate(0, 0);
  }

  100% {
    transform: translate(-106.458vw, 0); /* Adjust based on total width of track */
  }
}

@media (max-width: 1280px) {
  @keyframes marquee {
    100% {
      transform: translate(-240.625vw, 0);
    }
  }
}

@media (max-width: 767px) {
  @keyframes marquee {
    100% {
      transform: translate(-300.533vw, 0);
    }
  }
}

.list-item {
  position: relative;

  &:before {
    content: '';
    position: absolute;
    left: 0;
    height: 1px;
  }
}

.list-item--sm {
  padding-left: 1.875vw;

  &:before {
    top: .521vw;
    width: 1.042vw;
  }

}

@media (max-width: 1280px) {
  .list-item--sm {
    padding-left: 4.688vw;

    &::before {
      top: 1.563vw;
      width: 2.604vw;
    }
  }
}

@media (max-width: 767px) {
  .list-item--sm {
    padding-left: 9.6vw;

    &::before {
      top: 3.2vw;
      width: 5.333vw;
    }
  }
}

.list-item-md {
  padding-left: 2.396vw;

  &:before {
    top: .625vw;
    width: 1.563vw;
  }
}

@media (max-width: 1280px) {
  .list-item-md {
    padding-left: 5.99vw;

    &::before {
      top: 1.563vw;
      width: 3.906vw;
    }
  }
}

@media (max-width: 767px) {
  .list-item-md {
    padding-left: 12.267vw;

    &::before {
      top: 3.2vw;
      width: 8vw;
    }
  }
}

.list-item--white {
  color: var(--white);

  &::before {
    background-color: var(--white);
  }
}

.list-item--black {
  color: var(--black);

  &::before {
    background-color: var(--black);
  }
}

.tag {
  border-radius: .521vw;
}

.tag--grey {
  background-color: #EEEEEE;
  color: var(--black);
}

.tag--black {
  background-color: var(--black);
  color: var(--white);
}

.tag--lg {
  padding: .417vw 1.042vw;
  font: var(--paragraph-md);
}

.tag--sm {
  padding: .313vw .625vw;
  font: 400 .729vw / 1.35 var(--font);
}

@media (max-width: 1280px) {
  .tag {
    border-radius: 1.302vw;
  }

  .tag--lg {
    padding: 1.042vw 2.604vw 1.172vw;
    font-size: 1.823vw;
  }

  .tag--sm {
    padding: .781vw 1.563vw;
    font-size: 1.563vw;
  }
}

@media (max-width: 767px) {
  .tag {
    border-radius: 2.667vw;
  }

  .tag--lg {
    padding: 1.6vw 3.2vw;
    font-size: 3.2vw;
  }

  .tag--sm {
    padding: 1.6vw 3.2vw;
    font-size: 3.2vw;
  }
}

.team-slider {
  grid-column: 1/end;
  width: 100%;
  overflow: hidden;
}

.team-slider__btn-container {
  display: flex;
  justify-content: flex-end;
  gap: 1.25vw;
}

.team-slider__prev, .team-slider__next {
  svg, &:hover svg {
    transform: none;
  }
}

.team-slider__list {
  display: flex;
  align-items: flex-start;
  margin-top: 1.563vw;
}

.team-slider-list__item, .team-slider__card {
  width: 100%;
}

.team-slider__card {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  &:last-child {
    margin-top: 28px;
  }
}

.team-slider__flip-card {
  perspective: 1000px;
}

.team-slider__flip-container {
  width: 20vw;
  height: 20vw;
  transform-style: preserve-3d;
  transition: transform 0.6s ease;
  position: relative;

  &.flipped {
    transform: rotateY(180deg);

    .team-slider__quote-btn {
      display: none;
    }
  }
}

.team-slider__img, .team-slider__quote-text {
  inset: 0;
  backface-visibility: hidden;
}

.team-slider__popup {
  display: none;
}

.team-slider__img {
  width: 20vw;
  height: 20vw;
  background: linear-gradient(180deg, #DDDEE0 0%, #E7E6EB 53.77%, #DADBDF 100%);
  border-radius: var(--card-radius-24);
  overflow: hidden;

  > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.team-slider__name {
  margin-top: .63vw;
}

.team-slider__status {
  margin-top: .21vw;
}

.team-slider__quote-btn {
  position: absolute;
  top: 1.667vw;
  left: 1.667vw;
}

.team-slider__quote-text {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--black);
  color: var(--white);
  border-radius: var(--card-radius-24);
  display: flex;
  flex-direction: column;
  padding: 2.083vw;
  transform: rotateY(180deg);

  svg {
    width: 3.125vw;
    height: auto;
    margin-bottom: auto;
  }
}

@media (max-width: 1280px) {
  .team-slider {
    margin-top: 6.25vw;
  }

  .team-slider__btn-container {
    gap: 3.125vw;
  }

  .team-slider__list {
    margin-top: 3.125vw;
  }

  .team-slider__flip-container, .team-slider__img {
    width: 29.818vw;
    height: 29.818vw;
  }

  .team-slider__name {
    font-size: 2.08vw;
    margin-top: 1.3vw;
  }

  .team-slider__status {
    font-size: 1.82vw;
    margin-top: 2px;
  }

  .team-slider__quote-btn {
    top: 3.125vw;
    left: 3.125vw;
  }
}

@media (max-width: 767px) {
  .team-slider {
    display: flex;
    flex-direction: column;
  }

  .team-slider__btn-container {
    justify-content: center;
    gap: 6.4vw;
    order: 2;
    margin-top: 6.4vw;
  }

  .team-slider__list {
    margin-top: 0;
  }

  .team-slider__flip-container, .team-slider__img {
    width: 43.6vw;
    height: 43.6vw;
    transform-style: unset;
  }

  .team-slider__flip-card.popup-open .team-slider__quote-text {
    display: flex;
    opacity: 1;
  }

  .team-slider__quote-text {
    display: none;
  }

  .team-slider__popup {
    flex-direction: column;
    justify-content: center;
    gap: 9.867vw;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    padding: 0 14.4vw;
    background: #000000E5;
    color: var(--white);
    padding: 0 14.4vw;
    opacity: 0;
    transition: opacity var(--normal);
    z-index: 1000;

    svg {
      width: 12.8vw;
    }

    &::before {
      content: "";
      position: absolute;
      top: 9.6vw;
      right: 9.6vw;
      width: 12.8vw;
      height: 12.8vw;
      border-radius: 50%;
      border: 1px solid var(--white);
      padding: 3.733vw;
      background: url("assets/img/icons/close-white.svg") no-repeat center / 5.333vw auto;
    }

    &.open {
      display: flex;
      opacity: 1;
    }
  }

  .team-slider__name {
    font-size: 4.27vw;
    margin-top: 8px;
  }

  .team-slider__status {
    font-size: 2.9vw;
    margin-top: 4px;
  }

  .team-slider__quote-btn {
    top: 4.267vw;
    left: 4.267vw;
  }
}

.card-expand {
  cursor: pointer;
}

.card-expand__toggle-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  border: 1px solid var(--black);

  svg {
    width: 50%;
    height: 50%;
    object-fit: contain;
    transform: rotate(0);
    transition: transform var(--normal);
  }
}

.card-expand__content {
  transition: height var(--normal);
}

.card-expand__details {
  height: 0;
  overflow: hidden;
  transition: height var(--normal), margin var(--normal);
}

.card-expand.expanded {
  .card-expand__details {
    height: auto;
  }

  .card-expand__toggle-btn svg {
    transform: rotate(180deg);
  }
}

@media (max-width: 1280px) {
  .card-expand.expanded {
    .card-expand__details {
      margin-top: 2.604vw;
    }
  }
}

@media (max-width: 767px) {
  .card-expand.expanded .card-expand__details {
    margin-top: 5.333vw;
  }
}

.case-card {
  display: flex;
  justify-content: space-between;
  border-radius: var(--card-radius-32);
  overflow: hidden;
}

.case-card__content {
  max-width: 34.01vw;
  padding: 2.5vw;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.case-card__tags {
  display: flex;
  gap: .833vw;
}

.case-card__text {
  margin-top: .833vw;
}

.case-card__img {
  height: 26.667vw;
  width: auto;
}

@media(max-width: 1280px) {
  .case-card {
    flex-direction: column;
    justify-content: stretch;
  }

  .case-card__content {
    max-width: unset;
    padding: 4.688vw;
    justify-content: flex-start;
    gap: 3.125vw;
  }

  .case-card__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .case-card__tags {
    display: flex;
    gap: 2.083vw;
  }

  .case-card__text {
    margin-top: 2.083vw;
  }
}

@media(max-width: 767px) {
  .case-card {
    max-height: calc(100vh - 85px - 3.733vw * 5); /* 100vh - header height - margin of fifth card */

    picture {
      flex: 1 1 auto;
      min-height: 0;
    }
  }

  .case-card__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--card-radius-32);
  }

  .case-card__content {
    padding: 6.4vw;
    gap: 4.267vw;
    flex: 0 0 auto;
    order: 2;
  }

  .case-card__tags {
    gap: 2.133vw;
  }

  .case-card__text {
    margin-top: 2.133vw;
  }
}

/* sections */
@media (min-width: 1281px) {
  .about, .contact-banner, .our-work, .companies, .why-work, .team-banner {
    margin-top: 4.167vw;
  }

  .industries, .testimonials, .blog-articles {
    padding: 6.25vw 1.25vw 6.25vw 0;
  }
}

.preview {
  padding: 1.25vw 1.25vw 8.333vw 4.74vw;
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  gap: 3.49vw;
}

.preview__content-wrap {
  width: 45.26vw;
  flex-shrink: 0;
}

.preview__subtitle {
  margin-top: 1.25vw;
}

.preview__button-container {
  display: flex;
  gap: 1.25vw;
  margin-top: 1.875vw;
}

.preview__companies-card {
  margin-top: 5.208vw;
  width: 27.448vw;
  padding: 1.875vw;
  color: #777777;
  border-radius: var(--card-radius-24);
}

.preview__companies-logos {
  width: 100%;
  margin-top: .417vw;
}

.preview__img-wrap {
  overflow: hidden;
  height: 46.563vw;
  flex-grow: 1;
  display: flex;
  gap: 2.604vw;
  justify-content: center;
  position: relative;
  background-color: #FAFAFA;
  border-radius: var(--card-radius-32);

  &::before, &::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    border-radius: inherit;
  }

  &::before {
    height: 13%;
    background: linear-gradient(180deg, #FFFFFF 0%, rgba(255, 255, 255, 0) 100%);

  }

  &::after {
    height: 100%;
    box-shadow: 1px 4px 6px 0px #33363C1F inset;
    z-index: 2;
  }
}

.preview__img-1, .preview__img-2 {
  width: 16.667vw;
  height: 100%;
  background-repeat: repeat-y;
  background-size: 100% auto;
  background-position: 0 0;
  --bg-pos: 104.271vw;
}

.preview__img-1 {
  background-image: url("assets/img/home/preview-1-desktop.webp");
  animation: bg-scroll-top 20s linear infinite;
}

.preview__img-2 {
  background-image: url("assets/img/home/preview-2-desktop.webp");
  animation: bg-scroll-bottom 20s linear infinite;
}

@media (min-width: 1920px) {
  .preview__img-1 {
    background-image: url("assets/img/home/preview-1.webp");
  }

  .preview__img-2 {
    background-image: url("assets/img/home/preview-2.webp");
  }
}

@keyframes bg-scroll-top {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 0 calc(-1 * var(--bg-pos));
  }
}

@keyframes bg-scroll-bottom {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 0 var(--bg-pos);
  }
}

.page__nav {
  grid-row: 2/auto;
}

#overview, #services {
  overflow: visible;
}

.achievements {
  padding: 5.365vw 1.25vw 5.365vw 0;
  display: flex;
  gap: 2.031vw;
  position: relative;
}

.achievements__badge {
  flex-grow: 1;
  z-index: 2;

  svg {
    width: 100%;
    height: auto;
  }
}

.about__title {
  width: 39.6vw;
}

.about__content {
  display: flex;
  justify-content: space-between;
}

.about__cards-container, .services__cards-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 1.563vw 1.563vw;
}

.about__card {
  position: relative;
  width: 19.688vw;
  padding: 2.5vw 1.25vw;
  border-radius: var(--card-radius-24);
}

.about__card-desc {
  margin-top: .625vw;
}

.about__card-rating {
  width: 9.792vw;
  height: auto;
  position: absolute;
  left: 8.594vw;
  top: -.938vw;
}

.about__contact-link {
  flex-shrink: 0;
  width: 19.688vw;
  background: url("assets/img/home/about-link-bg.webp") no-repeat center / cover;
  background-color: var(--black);
  border-radius: var(--card-radius-32);
  color: var(--white);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.25vw;
  text-align: center;
  padding: 0 3.906vw;
  position: relative;
  overflow: hidden;
}

.services__card {
  padding: 0 4.635vw 0 1.875vw;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 14.896vw;
  transition: color .5s, background-image .5s;

  &:hover {
    color: var(--white);

    .services__card-bg::before {
      opacity: 1;
    }
  }
}

.services__card-bg, .services__card-bg::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}


.services__card-bg {
  background: url("assets/img/home/services/bg.webp") no-repeat center / 100% 100%;

  &::before {
    content: "";
    background: url("assets/img/home/services/bg-hover.webp") no-repeat center / 100% 100%;
    opacity: 0;
    transition: opacity .5s;
  }
}

.services__card-content {
  position: relative;
}

.services__card-text {
  margin-top: .521vw;
}

.services__card-btn {
  position: absolute;
  top: 0;
  right: 0;
}

.contact-banner {
  padding: 7.969vw 11.198vw 7.969vw 0;
  position: relative;
  color: var(--white);

  &:hover .contact-banner__btn {
    animation: swing .6s ease-in-out infinite;
  }
}

@keyframes swing {
  0%   { transform: rotate(0deg); }
  50%  { transform: rotate(5deg); }
  100% { transform: rotate(0deg); }
}

.contact-banner__content {
  max-width: 30.313vw;
  position: relative;
  z-index: 2;
}

.contact-banner__btn {
  margin-top: 3.333vw;

  &::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transform: scale(1.138) rotate(-7.19deg);
    background: #3D43FF;
    filter: blur(3.583vw);
  }

  &:hover .contact-banner__btn-bg {
    background-color: var(--green);
  }
}

.contact-banner__btn-bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background: var(--white);
  border-radius: 64px;
  transition: background-color var(--normal);
}

.contact-banner__img {
  height: 100%;
  width: auto;
  position: absolute;
  bottom: 0;
  right: 0;
}

.our-work {
  padding-right: 0;
}

.our-work__title {
  padding-left: 15.156vw;
}

.our-work__case-cards-container {
  overflow: hidden;
  position: relative;
  padding: 26.25vw 0;

  &::before, &::after {
    content: "";
    position: absolute;
    left: 0;
    width: 706.667vw; /* image-width * 2 */
    height: 27.292vw; /* image-height */
    background-size: auto 100%;
    will-change: transform;
  }

  &::before {
    top: 0;
    background-image: url("assets/img/home/our-work/our-work-1-desktop.webp");
    animation: bg-shift-left 30s linear infinite;
  }

  &::after {
    bottom: 0;
    background-image: url("assets/img/home/our-work/our-work-2-desktop.webp");
    animation: bg-shift-right 30s linear infinite;
  }
}

@media (min-width: 1920px){
  &::before {
    background-image: url("assets/img/home/our-work/our-work-1.webp");
  }

  &::after {
    background-image: url("assets/img/home/our-work/our-work-2.webp");
  };
}

@keyframes bg-shift-left {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-353.333vw); /* image-width */
  }
}

@keyframes bg-shift-right {
  0% {
    transform: translateX(-353.333vw); /* image-width */
  }
  100% {
    transform: translateX(0);
  }
}

.our-work__btn {
  background-color: var(--white);
  margin: 0 auto;
  z-index: 2;
}

.companies {
  padding: 8.333vw 0;
}

.companies__card {
  width: 13.333vw;
  height: 8.333vw;
  border-radius: var(--card-radius-24);
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 1.875vw;
}

.companies__logo-img {
  width: 10.833vw;
  height: auto;
}

.why-work__title {
  width: 33.907vw;
}

.why-work__subtitle {
  width: 38.282vw;
  margin-top: 1.875vw;
}

.why-work__content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.25vw 1.25vw;
}

.why-work__card {
  padding: 2.5vw;
  display: flex;
  flex-direction: column;
  border-radius: var(--card-radius-32);
}

.why-work__card-number {
  margin-bottom: auto;
}

.why-work__card-title {
  margin-top: 1.771vw;
}

.why-work__card-text {
  margin-top: .833vw;
}

.why-work__card-img {
  width: 100%;

  img {
    width: 100%;
    height: auto;
  }
}

.technologies {
  padding-left: 15.156vw;

  a {
    font: inherit;
    color: inherit;
  }
}

.technologies__title {
  width: 33.907vw;
}

.technologies__content {
  display: flex;
  align-items: flex-start;
  gap: 1.563vw;
}

.technologies__card {
  flex-grow: 1;
  padding: 2.5vw;
  border-radius: var(--card-radius-32);
}

.technologies__list {
  margin-top: 1.563vw;
}

.technologies__list-item + .technologies__list-item {
  margin-top: .625vw;
}

@media (min-width: 1281px) {
  .industries, .why-work, .team, .testimonials {
    padding-left: 15.156vw;
  }
}

.industries__title-container {
  display: flex;
}

.industries__title {
  width: 33.907vw;
}

.industries__toggle-btn {
  display: none;
}

.industries__subtitle {
  width: 38.281vw;
  margin-left: 7.917vw;
  margin-top: 2.5vw;
}

.industries__content {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: .938vw .938vw;
}

.industries__card {
  border-radius: var(--card-radius-24);
  padding: 2.083vw;
  display: flex;
  flex-direction: column;
  gap: .833vw;

  .card-expand__btn {
    display: none;
  }
}

.industries__tags {
  display: flex;
  flex-wrap: wrap;
  gap: .417vw;
  height: auto;
}

.industries__card-text {
  margin-top: auto;
  height: auto;
}

.industries__card--contact {
  background: url("assets/img/home/industries-card-bg-desktop.webp") no-repeat bottom / cover;
  background-color: var(--black);
  color: var(--white);
}

@media (min-width: 1920px) {
  .industries__card--contact {
    background-image: url("assets/img/home/industries-card-bg.webp");
  }
}

.industries__card-btn {
  margin-top: 1.875vw;
}

.team__title-container {
  display: flex;
}

.team__title {
  width: 33.906vw;
}

.team__subtitle {
  width: 38.281vw;
  margin-top: 2.5vw;
}

.team-banner img {
  width: 100%;
  height: auto;
}

.testimonials, .testimonials__content {
  overflow: visible;
}

.testimonials__cards-container {
  position: relative;
  z-index: 1;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.667vw 1.667vw;
}

.testimonials__card {
  height: max-content;
  padding: 2.083vw 3.333vw;
  border-radius: var(--card-radius-32);
  transition: transform var(--normal);

  svg {
    width: 3.125vw;
    height: auto;
  }
}

.testimonials__card:not(.testimonials__card--rotate):hover {
  animation: pulse .8s ease-in-out;
}

.testimonials__card--rotate {
  transform: rotate(3deg);
  transition: background-color var(--normal), border-color var(--normal), transform var(--normal);
}

.testimonials__card--rotate, .testimonials__card-bg::before {
  transform-origin: bottom left;
}

.testimonials__card-bg {
  position: relative;

  &::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: url("assets/img/home/testimonials/card-bg.webp") no-repeat center top / contain;
    z-index: -1;
    transform: rotate(-5deg) translateX(2%);
    transition: opacity var(--normal), transform var(--normal);
  }

  &:hover {
    .testimonials__card--rotate {
      background-color: #F6F6F6;
      border-color: transparent;
    }

    &::before {
      opacity: 0;
    }

    &::before, .testimonials__card--rotate {
      transform: rotate(0);
    }
  }
}

.testimonials__quote, .testimonials__author {
  margin-top: 1.667vw;
}

.testimonials__author {
  display: flex;
  align-items: center;
  gap: .833vw
}

.testimonials__photo {
  flex-shrink: 0;
  width: 2.5vw;
  height: auto;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.05);
  }

  100% {
    transform: scale(1);
  }
}

@media (min-width: 768px) {
  .testimonials__prev, .testimonials__next {
    display: none;
  }
}

.blog-articles__content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.875vw;
}

.blog-articles__card {
  flex-grow: 1;
  border-radius: var(--card-radius-24);
}

.blog-articles__img {
  display: block;
  width: 100%;
  height: 15.104vw;
  object-fit: cover;
  border-radius: var(--card-radius-24);
}

.blog-articles__info {
  padding: 1.25vw 1.25vw 1.875vw;
}

.blog-articles__date {
  color: #777777;
}

.blog-articles__title {
  margin-top: .833vw;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  padding-bottom: 1px;
}

@media (max-width: 1280px) {
  .preview {
    padding: 3.125vw 24px 7.552vw;
    gap: 2.604vw;
  }

  .preview__content-wrap {
    width: 46.875vw;
  }

  .preview__subtitle {
    margin-top: 1.563vw;
  }

  .preview__button-container {
    gap: 2.344vw;
    margin-top: 2.083vw;
  }

  .preview__companies-card {
    margin-top: 4.167vw;
    width: 100%;
    padding: 3.125vw;
  }

  .preview__companies-logos {
    margin-top: 1.042vw;
  }

  .preview__img-wrap {
    height: 100%;
    gap: 2.083vw;
    padding: 0 3.516vw;

    &::before {
      height: 8.247%;
    }
  }

  .preview__img-1, .preview__img-2 {
    width: 17.578vw;
    --bg-pos: 109.896vw;
  }

  .preview__img-1 {
    background-image: url("assets/img/home/preview-1-tablet.webp");
  }

  .preview__img-2 {
    background-image: url("assets/img/home/preview-2-tablet.webp");
  }

  .achievements {
    padding: 7.552vw 24px;
    gap: 1.913vw;
    border-radius: var(--section-radius);
    background-color: var(--black);

    &::before {
      display: none;
    }
  }

  .about__title, .why-work__title, .why-work__subtitle, .technologies__title {
    width: 100%;
  }

  .about__content {
    flex-direction: column;
    gap: 2.604vw;
  }

  .about__cards-container, .services__cards-container {
    gap: 2.604vw 2.604vw;
  }

  .about__card {
    width: 100%;
    padding: 4.688vw 3.125vw;
  }

  .about__card-desc {
    margin-top: 1.563vw;
  }

  .about__card-rating {
    width: 13.542vw;
    left: 13.021vw;
    top: -1.302vw;
  }

  .about__contact-link {
    width: 100%;
    flex-direction: row;
    background-image: url("assets/img/home/about-link-bg-tablet.webp");
    gap: 3.125vw;
    padding: 6.25vw 0;
  }

  .services__cards-container {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, 1fr);
  }

  .services__card {
    padding: 0 11.328vw 0 3.125vw;
    min-height: 28.125vw;
  }

  .services__card-bg {
    background-image: url("assets/img/home/services/bg-tablet.webp");

    &::before {
      background-image: url("assets/img/home/services/bg-tablet-hover.webp");
    }
  }

  .services__card-text {
    margin-top: 1.302vw;
  }

  .contact-banner {
    padding: 12.63vw 24px;
    overflow: hidden;
  }

  .contact-banner__content {
    max-width: 43.099vw;
  }

  .contact-banner__btn {
    margin-top: 3.125vw;
  }

  .our-work {
    padding-left: 0;
  }

  .our-work__title {
    padding-left: 24px;
  }

  .our-work__case-cards-container {
    padding: 32.161vw 0;

    &::before, &::after {
      width: 883.333vw; /* image-width * 2 */
      height: 34.115vw; /* image-height */
    }

    &::before {
      background-image: url("assets/img/home/our-work/our-work-1-tablet.webp");
    }

    &::after {
      background-image: url("assets/img/home/our-work/our-work-2-tablet.webp");
    }
  }

  @keyframes bg-shift-left {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-441.667vw); /* image-width */
    }
  }

  @keyframes bg-shift-right {
    0% {
      transform: translateX(-441.667vw); /* image-width */
    }
    100% {
      transform: translateX(0);
    }
  }

  .companies {
    padding: 6.25vw 0;
  }

  .companies__card {
    width: 31.25vw;
    height: 14.583vw;
    margin-right: 3.125vw;
  }

  .companies__logo-img {
    width: 27.083vw;
  }

  .why-work__subtitle {
    margin-top: 3.125vw;
  }

  .why-work__content {
    grid-template-columns: repeat(2, 1fr);
    gap: 3.125vw 3.125vw;
  }

  .why-work__card {
    padding: 4.688vw;
    height: max-content;
  }

  .why-work__card-title {
    margin-top: 8.333vw;
  }

  .why-work__card-text, .technologies__list {
    margin-top: 2.083vw;
  }

  .technologies {
    padding-left: 24px;
  }

  .technologies__content {
    gap: 2.083vw;
    flex-direction: column;
    flex-wrap: wrap;
    max-height: 63.021vw;
  }

  .technologies__card {
    padding: 3.125vw;
    width: 29.818vw;
    flex-grow: 0;
  }

  .technologies__list-item + .technologies__list-item {
    margin-top: 1.042vw;
  }

  .industries__title-container, .team__title-container {
    display: block;
  }

  .industries__title, .industries__subtitle, .team__title, .team__subtitle {
    width: 46.875vw;
  }

  .industries__subtitle, .team__subtitle {
    margin-left: auto;
    margin-top: 1.172vw;
  }

  .industries__content {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto;
    gap: 2.083vw 2.083vw;
  }

  .industries__card {
    height: max-content;
    min-height: 42.708vw;
    padding: 3.125vw;
    gap: 0;

    &.expanded {
      .industries__card-text {
        margin-top: 3.125vw;
      }
    }
  }

  .industries__card-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .industries__toggle-btn {
    flex-shrink: 0;
    display: flex;
    width: 3.906vw;
    height: 3.906vw;
  }

  .industries__tags {
    margin-top: auto;
    gap: 1.042vw;
  }

  .industries__card-text {
    margin-top: 0;
    height: 0;
  }

  .industries__card--contact {
    height: 42.708vw;
    background-image: url("assets/img/home/industries-card-bg-tablet.webp");
  }

  .industries__card-btn {
    margin-top: 4.688vw;
  }

  .testimonials__cards-container {
    grid-template-columns: repeat(2, 1fr);
    gap: 2.083vw 2.083vw;
  }

  .testimonials__card {
    padding: 4.167vw;

    svg {
      width: 5.208vw;
    }
  }

  .testimonials__card-bg {
    min-height: 53.646vw;


    &:hover {
      min-height: unset;
    }
  }

  .testimonials__card--rotate {
    transform-origin: left center;
    transform: rotate(3deg) translateY(5.208vw);
  }

  .testimonials__card-bg::before {
    background-image: url("assets/img/home/testimonials/card-bg-tablet.webp");
    transform-origin: right center;
    transform: rotate(-5deg);
  }

  .testimonials__quote, .testimonials__author {
    margin-top: 3.125vw;
  }

  .testimonials__author {
    gap: 2.083vw
  }

  .testimonials__photo {
    width: 5.208vw;
  }

  .blog-articles__content {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 2.604vw;
  }

  .blog-articles__img {
    height: 26.042vw;
  }

  .blog-articles__info {
    padding: 3.125vw 2.083vw;
  }

  .blog-articles__title {
    margin-top: 1.042vw;
  }
}

@media (max-width: 767px) {
  .preview {
    padding: 6.4vw 0 0;
    flex-direction: column;
    gap: 15.467vw;
    margin-top: 85px;
  }

  .preview__content-wrap {
    width: 100%;
    padding: 0 16px;
  }

  .preview__subtitle {
    margin-top: 2.133vw;
  }

  .preview__button-container {
    gap: unset;
    justify-content: space-between;
    margin-top: 6.4vw;
  }

  .preview__companies-card {
    margin-top: 9.6vw;
    width: 82.4vw;
    padding: 4.267vw;
  }

  .preview__companies-logos {
    margin-top: 2.133vw;
  }

  .preview__img-wrap {
    width: 100vw;
    height: 64vw;
    gap: unset;
    justify-content: space-between;
    padding: 0 6.46vw;

    &::before {
      height: 18.75%;
    }
  }

  .preview__img-1, .preview__img-2 {
    width: 41.467vw;
    --bg-pos: 259.2vw;
  }

  .preview__img-1 {
    background-image: url("assets/img/home/preview-1-mob.webp");
  }

  .preview__img-2 {
    background-image: url("assets/img/home/preview-2-mob.webp");
  }

  .achievements {
    padding: 12.8vw 16px;
    gap: unset;
    row-gap: 4.267vw;
    justify-content: space-between;
    flex-wrap: wrap;
  }

  .achievements__badge {
    width: 28.701vw;
    flex-grow: 0;
  }

  .about__content {
    gap: 4.267vw;
  }

  .about__cards-container {
    gap: 4.267vw 4.267vw;
    grid-template-columns: repeat(2, 1fr);
  }

  .about__card {
    padding: 6.4vw 4.267vw;
  }

  .about__card-desc {
    margin-top: 2.133vw;
  }

  .about__card-rating {
    width: 22.4vw;
    left: 16.533vw;
    top: -2.667vw;
  }

  .about__contact-link {
    background-image: url("assets/img/home/about-link-bg-mob.webp");
    gap: 6.4vw;
    padding: 6.4vw 0;
  }

  .services__cards-container {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(6, 1fr);
    gap: 5.333vw 0;
  }

  .services__card {
    padding: 6.4vw 13.6vw 6.4vw 6.4vw;
    min-height: 52.267vw;
  }

  .services__card-bg {
    background-image: url("assets/img/home/services/bg-mob.webp");

    &::before {
      background-image: url("assets/img/home/services/bg-mob-hover.webp");
    }
  }

  .services__card-text {
    margin-top: 2.667vw;
  }

  .contact-banner {
    padding: 77.333vw 16px 12.8vw;
  }

  .contact-banner__content {
    max-width: unset;
  }

  .contact-banner__btn {
    width: 100%;
    margin-top: 6.4vw;
  }

  .contact-banner__img {
    width: 100%;
    height: auto;
    top: 0
  }

  .our-work__title {
    padding-left: 16px;
  }

  .our-work__case-cards-container {
    padding: 47.467vw 0;

    &::before, &::after {
      width: 1348.267vw; /* image-width * 2 */
      height: 52.533vw; /* image-height */
    }

    &::before {
      background-image: url("assets/img/home/our-work/our-work-1-tablet.webp");
    }

    &::after {
      background-image: url("assets/img/home/our-work/our-work-2-tablet.webp");
    }
  }

  @keyframes bg-shift-left {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-674.133vw); /* image-width */
    }
  }

  @keyframes bg-shift-right {
    0% {
      transform: translateX(-674.133vw); /* image-width */
    }
    100% {
      transform: translateX(0);
    }
  }

  .companies {
    padding: 17.067vw 0;
  }

  .companies__card {
    width: 38.667vw;
    height: 26.667vw;
    margin-right: 3.2vw;
  }

  .companies__logo-img {
    width: 30.133vw;
  }

  .why-work__subtitle {
    margin-top: 4.267vw;
  }

  .why-work__content {
    grid-template-columns: 1fr;
    gap: 6.4vw 0;
  }

  .why-work__card {
    padding: 6.4vw;
  }

  .why-work__card-title {
    margin-top: 6.4vw;
  }

  .why-work__card-text, .technologies__list {
    margin-top: 2.133vw;
  }

  .technologies {
    padding-left: 16px;
  }

  .technologies__content {
    gap: 4.267vw;
    max-height: 177.067vw;
  }

  .technologies__card {
    padding: 4.267vw;
    width: 47.668%;
  }

  .technologies__list-item + .technologies__list-item {
    margin-top: 2.133vw;
  }

  .industries__title, .industries__subtitle, .team__title, .team__subtitle {
    width: 100%;
  }

  .industries__subtitle, .team__subtitle {
    margin-top: 4.267vw;
  }

  .industries__content {
    grid-template-columns: 1fr;
    gap: 2.467vw 0;
  }

  .industries__card {
    min-height: unset;
    padding: 6.4vw;

    &.expanded {
      .industries__card-text, .industries__tags {
        height: auto;
        margin-top: 6.4vw;
      }
    }
  }

  .industries__toggle-btn {
    width: 8vw;
    height: 8vw;
  }

  .industries__tags {
    height: 0;
    margin-top: 0;
    gap: 2.133vw;
  }

  .industries__card--contact {
    height: 102.933vw;
    background-image: url("assets/img/home/industries-card-bg-mob.webp");
  }

  .industries__card-btn {
    margin-top: 6.4vw;
  }

  .testimonials {
    overflow: hidden;
    padding: 15.467vw 0;
  }

  .testimonials__title, .testimonials__content {
    padding: 0 16px;
  }

  .testimonials__cards-container {
    display: flex;
    gap: 0;
  }

  .testimonials__card {
    width: 100%;
    flex-shrink: 0;
    padding: 8vw 10.667vw;

    svg {
      width: 10.667vw;
    }
  }

  .testimonials__card-bg {
    min-height: unset;
    height: 100%;
    flex-shrink: 0;

    &:not(.swiper-slide-active)  {
      &::before, .testimonials__card--rotate {
        transform: none;
      }

      .testimonials__card--rotate {
        background-color: #F6F6F6;
        border-color: transparent;
      }
    }
  }

  .testimonials__card--rotate {
    transform: rotate(3deg) translateY(8.333vw);
  }

  .testimonials__card-bg::before {
    background-image: url("assets/img/home/testimonials/card-bg-mob.webp");
  }

  .testimonials__quote, .testimonials__author {
    margin-top: 4.267vw;
  }

  .testimonials__author {
    gap: 4.267vw
  }

  .testimonials__photo {
    width: 8.533vw;
  }

  .testimonials__btn-container {
    display: flex;
    justify-content: center;
    gap: 6.4vw;
    margin-top: 6.4vw;
  }

  .blog-articles__content {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(3, 1fr);
    gap: 6.4vw;
  }

  .blog-articles__img {
    height: 53.333vw;
  }

  .blog-articles__info {
    padding: 4.267vw 4.267vw 6.4vw;
  }

  .blog-articles__title {
    margin-top: 2.133vw;
  }
}
